This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 809628 - error in error_log when syncing with post sync url
error in error_log when syncing with post sync url
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John Matthews
Preethi Thomas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 16:47 EDT by Preethi Thomas
Modified: 2013-09-09 12:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-25 10:16:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-04-03 16:47:26 EDT
Description of problem:

scheduled sync running with  post sync url  ends up with error in error log
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
[Tue Apr 03 16:25:10 2012] [error] repodata has filetypes of ['group', 'filelists', 'updateinfo', 'group_gz', 'primary', 'other', 'filelists_db', 'primary_db', 'other_db']
[Tue Apr 03 16:25:12 2012] [error] Exception in thread Thread-35:
[Tue Apr 03 16:25:12 2012] [error] Traceback (most recent call last):
[Tue Apr 03 16:25:12 2012] [error]   File "/usr/lib64/python2.6/threading.py", line 532, in __bootstrap_inner
[Tue Apr 03 16:25:12 2012] [error]     self.run()
[Tue Apr 03 16:25:12 2012] [error]   File "/usr/lib64/python2.6/threading.py", line 484, in run
[Tue Apr 03 16:25:12 2012] [error]     self.__target(*self.__args, **self.__kwargs)
[Tue Apr 03 16:25:12 2012] [error]   File "/usr/lib/python2.6/site-packages/pulp/server/api/repo_sync.py", line 424, in _send_post
[Tue Apr 03 16:25:12 2012] [error]     msg = _('Error response from post_sync_url: %(e)') % {'e': error_msg}
[Tue Apr 03 16:25:12 2012] [error] ValueError: incomplete format
[Tue Apr 03 16:25:12 2012] [error] 


Expected results:


Additional info:
Comment 1 Jason Connor 2012-04-03 16:55:42 EDT
fix pushed in 1a74df0b0ed00d4d39a743ae09a0a4f2ab458a7a
Comment 2 Jeff Ortel 2012-04-03 17:49:01 EDT
build: 1.0.4
Comment 3 Preethi Thomas 2012-04-04 08:48:47 EDT
verified

[root@pulp-v1-server ~]# rpm -q pulp
pulp-1.0.4-1.el6.noarch
[root@pulp-v1-server ~]# 

[server]
server_name: pulp-v1-server.usersys.redhat.com
relative_url: /pulp/repos
key_url: /pulp/gpg
ks_url: /pulp/ks
default_login: admin
default_password: admin
post_sync_url: https://localhost/pulp/api/sync/post_action


root@pulp-v1-server ~]#  pulp-admin repo create --id zoo --feed http://inecas.fedorapeople.org/fakerepos/zoo/ --relativepath zoo
Successfully created repository [ zoo ]

[root@pulp-v1-server ~]# pulp-admin repo sync --id=zoo --interval=PT5M --start=2012-02-07T12:40:00-01:00:00
Sync schedule for repo [ zoo ] changed to [ 2012-02-07T12:40:00-01:00/PT5M ]
[root@pulp-v1-server ~]# 
[root@pulp-v1-server ~]# 

from error log

[Wed Apr 04 08:45:08 2012] [error] repodata has filetypes of ['group', 'filelists', 'updateinfo', 'group_gz', 'primary', 'other', 'filelists_db', 'primary_db', 'other_db']
Comment 4 Preethi Thomas 2012-05-25 10:16:05 EDT
Pulp v1.1 Release

Note You need to log in before you can comment on or make changes to this bug.